QUOTAON(8)

NAME
quotaon, quotaoff - turn file system quotas on and off

SYNOPSIS
quotaon [-g] [-u] [-v] filesystem ...
quotaon [-g] [-u] [-v] -a
quotaoff [-g] [-u] [-v] filesystem ...
quotaoff [-g] [-u] [-v] -a

DESCRIPTION
The quotaon utility announces to the system that disk quotas should be enabled on one or more file systems. The quotaoff utility announces to the system that the specified file systems should have any disk quotas turned off. The file systems specified must have entries in /etc/fstab and be mounted. The quotaon utility expects each file system to have quota files named quota.user and quota.group which are located at the root of the associated file system. These defaults may be overridden in /etc/fstab. By default both user and group quotas are enabled.

Available options:

-a  If supplied in place of any file system names, quotaon/quotaoff will enable/disable all the file systems indicated in /etc/fstab to be read-write with disk quotas. By default only the types of quotas listed in /etc/fstab are enabled.

-g  Only group quotas listed in /etc/fstab should be enabled/disabled.

-u  Only user quotas listed in /etc/fstab should be enabled/disabled.

-v  Cause quotaon and quotaoff to print a message for each file system where quotas are turned on or off.

Specifying both -g and -u is equivalent to the default.

FILES
quota.user
    at the file system root with user quotas
quota.group
    at the file system root with group quotas
/etc/fstab
    file system table

SEE ALSO
quota(1), quotactl(2), fstab(5), edquota(8), quotacheck(8), repquota(8)

HISTORY
The quotaon utility appeared in 4.2BSD.